clear @a[gamemode=!creative,gamemode=!spectator]

# microsoft teams
execute as @a[team=!inferno] at @s if block ~ 12 ~ minecraft:red_concrete run tellraw @s {"text":"Joined team Inferno!","color":"red"}
execute as @a at @s if block ~ 12 ~ minecraft:red_concrete run team join inferno @s
execute as @a[team=!heaven] at @s if block ~ 12 ~ minecraft:light_blue_concrete run tellraw @s {"text":"Joined team Heaven!","color":"aqua"}
execute as @a at @s if block ~ 12 ~ minecraft:light_blue_concrete run team join heaven @s
execute as @a[team=!s] at @s if block ~ 12 ~ minecraft:light_gray_concrete run tellraw @s {"text":"You will now spectate the match!","color":"gray"}
execute as @a at @s if block ~ 12 ~ minecraft:light_gray_concrete run team join s @s
#execute as @a at @s unless block ~ 12 ~ minecraft:red_concrete unless block ~ 12 ~ minecraft:light_blue_concrete unless block ~ 12 ~ minecraft:light_gray_concrete run team leave @s

bossbar set minecraft:infteam visible false
bossbar set minecraft:heateam visible false
effect give @a saturation 99999 255 true
effect give @a weakness 2 255 true

kill @e[tag=mob]
kill @e[tag=mobally]
kill @e[type=item]
kill @e[tag=towerstand]

execute as @a[gamemode=!creative,gamemode=!spectator] at @s if entity @s[y=1.5,dy=9] run tp @s 8 12 7

scoreboard players remove @s[scores={eventtime=1..}] eventtime 1
execute if entity @s[scores={eventtime=2}] run tp @a 8 12 7

execute if block 8 14 -15 minecraft:birch_button[powered=true] if entity @s[scores={eventtime=101..}] run tellraw @a {"text":"Game cancelled!","color":"red"}
execute if block 8 14 -15 minecraft:birch_button[powered=true] if entity @s[scores={eventtime=101..}] run scoreboard players set @s eventtime 1
execute if block 8 14 -15 minecraft:birch_button[powered=true] if entity @s[scores={eventtime=0}] run scoreboard players set @s eventtime 300
execute if block 8 14 -15 minecraft:birch_button[powered=true] run setblock 8 14 -15 minecraft:birch_button[face=floor,facing=north,powered=false]

execute if entity @s[scores={eventtime=300}] run tellraw @a {"text":"Starting the game in 5 seconds!","color":"green"}
execute if entity @s[scores={eventtime=300}] run execute as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 10000 2
execute if entity @s[scores={eventtime=280}] run tellraw @a {"text":"Starting the game in 4 seconds!","color":"green"}
execute if entity @s[scores={eventtime=280}] run execute as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 10000 2
execute if entity @s[scores={eventtime=260}] run tellraw @a {"text":"Starting the game in 3 seconds!","color":"green"}
execute if entity @s[scores={eventtime=260}] run execute as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 10000 2
execute if entity @s[scores={eventtime=240}] run tellraw @a {"text":"Starting the game in 2 seconds!","color":"green"}
execute if entity @s[scores={eventtime=240}] run execute as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 10000 2
execute if entity @s[scores={eventtime=220}] run tellraw @a {"text":"Starting the game in 1 second!","color":"green"}
execute if entity @s[scores={eventtime=220}] run execute as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 10000 2

execute if entity @s[scores={eventtime=200}] run function ucb:game_start

execute if entity @s[scores={st_difficulty=0}] run setblock 6 14 -12 birch_wall_sign[facing=east]{Text1:'{"text":"Mob Difficulty","color":"green","bold":true,"italic":false}',Text2:'{"text":"Easy","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_difficulty 1"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -12 air"}}'} replace
execute if entity @s[scores={st_difficulty=1}] run setblock 6 14 -12 birch_wall_sign[facing=east]{Text1:'{"text":"Mob Difficulty","color":"green","bold":true,"italic":false}',Text2:'{"text":"Normal","color":"yellow","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_difficulty 2"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -12 air"}}'} replace
execute if entity @s[scores={st_difficulty=2}] run setblock 6 14 -12 birch_wall_sign[facing=east]{Text1:'{"text":"Mob Difficulty","color":"green","bold":true,"italic":false}',Text2:'{"text":"Hard","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_difficulty 0"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -12 air"}}'} replace

execute if entity @s[scores={st_aura=0}] run setblock 10 14 -12 birch_wall_sign[facing=west]{Text1:'{"text":"Castle Auras","color":"green","bold":true,"italic":false}',Text2:'{"text":"OFF","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_aura 1"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -12 air"}}'} replace
execute if entity @s[scores={st_aura=1}] run setblock 10 14 -12 birch_wall_sign[facing=west]{Text1:'{"text":"Castle Auras","color":"green","bold":true,"italic":false}',Text2:'{"text":"ON","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_aura 0"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -12 air"}}'} replace

execute if entity @s[scores={st_starthp=3000}] run setblock 6 14 -10 birch_wall_sign[facing=east]{Text1:'{"text":"Castle HP","color":"green","bold":true,"italic":false}',Text2:'{"text":"3000","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_starthp 4000"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -10 air"}}'} replace
execute if entity @s[scores={st_starthp=4000}] run setblock 6 14 -10 birch_wall_sign[facing=east]{Text1:'{"text":"Castle HP","color":"green","bold":true,"italic":false}',Text2:'{"text":"4000","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_starthp 5000"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -10 air"}}'} replace
execute if entity @s[scores={st_starthp=5000}] run setblock 6 14 -10 birch_wall_sign[facing=east]{Text1:'{"text":"Castle HP","color":"green","bold":true,"italic":false}',Text2:'{"text":"5000","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_starthp 1000"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -10 air"}}'} replace
execute if entity @s[scores={st_starthp=1000}] run setblock 6 14 -10 birch_wall_sign[facing=east]{Text1:'{"text":"Castle HP","color":"green","bold":true,"italic":false}',Text2:'{"text":"1000","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_starthp 2000"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -10 air"}}'} replace
execute if entity @s[scores={st_starthp=2000}] run setblock 6 14 -10 birch_wall_sign[facing=east]{Text1:'{"text":"Castle HP","color":"green","bold":true,"italic":false}',Text2:'{"text":"2000","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_starthp 3000"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -10 air"}}'} replace

execute if entity @s[scores={st_coins=0}] run setblock 10 14 -10 birch_wall_sign[facing=west]{Text1:'{"text":"Coin Balance","color":"green","bold":true,"italic":false}',Text2:'{"text":"0","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_coins 250"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -10 air"}}'} replace
execute if entity @s[scores={st_coins=250}] run setblock 10 14 -10 birch_wall_sign[facing=west]{Text1:'{"text":"Coin Balance","color":"green","bold":true,"italic":false}',Text2:'{"text":"250","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_coins 500"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -10 air"}}'} replace
execute if entity @s[scores={st_coins=500}] run setblock 10 14 -10 birch_wall_sign[facing=west]{Text1:'{"text":"Coin Balance","color":"green","bold":true,"italic":false}',Text2:'{"text":"500","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_coins 750"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -10 air"}}'} replace
execute if entity @s[scores={st_coins=750}] run setblock 10 14 -10 birch_wall_sign[facing=west]{Text1:'{"text":"Coin Balance","color":"green","bold":true,"italic":false}',Text2:'{"text":"750","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_coins 1000"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -10 air"}}'} replace
execute if entity @s[scores={st_coins=1000}] run setblock 10 14 -10 birch_wall_sign[facing=west]{Text1:'{"text":"Coin Balance","color":"green","bold":true,"italic":false}',Text2:'{"text":"1000","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_coins 2000"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -10 air"}}'} replace
execute if entity @s[scores={st_coins=2000}] run setblock 10 14 -10 birch_wall_sign[facing=west]{Text1:'{"text":"Coin Balance","color":"green","bold":true,"italic":false}',Text2:'{"text":"2000","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_coins 3000"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -10 air"}}'} replace
execute if entity @s[scores={st_coins=3000}] run setblock 10 14 -10 birch_wall_sign[facing=west]{Text1:'{"text":"Coin Balance","color":"green","bold":true,"italic":false}',Text2:'{"text":"3000","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_coins 0"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -10 air"}}'} replace

execute if entity @s[scores={st_userespawn=1}] run setblock 10 14 -8 birch_wall_sign[facing=west]{Text1:'{"text":"Instant Spawn","color":"green","bold":true,"italic":false}',Text2:'{"text":"OFF","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_userespawn 0"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -8 air"}}'} replace
execute if entity @s[scores={st_userespawn=0}] run setblock 10 14 -8 birch_wall_sign[facing=west]{Text1:'{"text":"Instant Spawn","color":"green","bold":true,"italic":false}',Text2:'{"text":"ON","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_userespawn 1"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 10 14 -8 air"}}'} replace

execute if entity @s[scores={st_allowance=1}] run setblock 6 14 -8 birch_wall_sign[facing=east]{Text1:'{"text":"Use Allowance","color":"green","bold":true,"italic":false}',Text2:'{"text":"ON","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_allowance 0"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -8 air"}}'} replace
execute if entity @s[scores={st_allowance=0}] run setblock 6 14 -8 birch_wall_sign[facing=east]{Text1:'{"text":"Use Allowance","color":"green","bold":true,"italic":false}',Text2:'{"text":"OFF","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set @e[tag=host] st_allowance 1"}}',Text4:'{"text":"Right-Click","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/setblock 6 14 -8 air"}}'} replace